List sessions
curl --request GET \
--url https://guidinghand.ai/v1/sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "session",
"session_id": "K7QM-24XP",
"code": "K7QM-24XP",
"agent_id": "<string>",
"invite_url": "https://guidinghand.ai/acme/billing/K7QM-24XP",
"status": "waiting",
"device": {
"os": "mac",
"name": "<string>",
"width": 123,
"height": 123,
"app_version": "<string>"
},
"metadata": {
"customer_id": "cus_42"
},
"created_at": "2023-11-07T05:31:56Z",
"paired_at": "2023-11-07T05:31:56Z",
"last_active_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"task_count": 123,
"latest_task_id": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"answered_by": "customer"
}
}Sessions
List sessions
GET
/
v1
/
sessions
List sessions
curl --request GET \
--url https://guidinghand.ai/v1/sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "session",
"session_id": "K7QM-24XP",
"code": "K7QM-24XP",
"agent_id": "<string>",
"invite_url": "https://guidinghand.ai/acme/billing/K7QM-24XP",
"status": "waiting",
"device": {
"os": "mac",
"name": "<string>",
"width": 123,
"height": 123,
"app_version": "<string>"
},
"metadata": {
"customer_id": "cus_42"
},
"created_at": "2023-11-07T05:31:56Z",
"paired_at": "2023-11-07T05:31:56Z",
"last_active_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"task_count": 123,
"latest_task_id": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"answered_by": "customer"
}
}Authorizations
An org API key (gh_live_…) from Settings → API keys in the console.
Query Parameters
Only sessions of this agent.
How many to return, 1 to 100.
Required range:
1 <= x <= 100next_cursor from the previous page.